import request from "@/utils/request";

// 查询菜单列表
export function listMenu(query) {
  return request({
    url: "/erp/menu/list",
    method: "get",
    params: query
  });
}

// 查询菜单列表
export function allOfTree(platform) {
  return request({
    url: `/erp/menu/allOfTree/${platform}`,
    method: "GET"
  });
}

// 查询公司下菜单列表
export function companyOfTree(platform) {
  return request({
    url: `/erp/menu/companyOfTree/${platform}`,
    method: "GET"
  });
}

// 查询菜单详细
export function getMenu(menuId) {
  return request({
    url: "/erp/menu/" + menuId,
    method: "get"
  });
}

// 查询菜单下拉树结构
export function treeselect(query) {
  return request({
    url: "/erp/menu/treeselect",
    method: "get",
    params: query
  });
}

// 根据角色ID查询菜单下拉树结构
export function roleMenuTreeselect(roleId) {
  return request({
    url: "/erp/menu/roleMenuTreeselect/" + roleId,
    method: "get"
  });
}

// 新增菜单
export function addMenu(data) {
  return request({
    url: "/erp/menu",
    method: "post",
    data: data
  });
}

// 修改菜单
export function updateMenu(menuId, data) {
  return request({
    url: "/erp/menu/" + menuId,
    method: "put",
    data: data
  });
}

// 删除菜单
export function delMenu(menuId) {
  return request({
    url: "/erp/menu/" + menuId,
    method: "delete"
  });
}

// 平台
export function getModule() {
  return request({
    url: "/erp/platform/all",
    method: "get"
  });
}

export function getModuleUser() {
  return request({
    url: "/erp/platform/allOfUser",
    method: "get"
  });
}